Skip to main content
DELETE
/
v1
/
tables
/
{table_id}
/
columns
/
{column_id}
Delete Table Column
curl --request DELETE \
  --url https://api.extruct.ai/v1/tables/{table_id}/columns/{column_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "config": {
    "name": "<string>",
    "key": "<string>",
    "kind": "input"
  }
}

Overview

This endpoint removes a column from a table.

Example request

export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
export TABLE_ID="YOUR_TABLE_ID"
export COLUMN_ID="YOUR_COLUMN_ID"

curl -X DELETE "https://api.extruct.ai/v1/tables/${TABLE_ID}/columns/${COLUMN_ID}" \
  -H "Authorization: Bearer ${EXTRUCT_API_TOKEN}"

Key parameters

  • table_id (required): target table identifier.
  • column_id (required): target column identifier.

Success signal

A successful response confirms column deletion.

Common errors

401 Unauthorized

Check that your header is Authorization: Bearer ${EXTRUCT_API_TOKEN}.

404 Not Found

The table or column ID is invalid, already deleted, or unavailable in your workspace.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

table_id
string
required
column_id
string
required

Response

Successful Response

id
string
required
created_at
string<date-time>
required
config
InputColumnConfig · object
required